> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/fr/documentation-de-lapi/vue-densemble-des-requetes-de-lapi-geopard/43.-requete-obtenir-les-parcelles.md).

# 43. Requête : obtenir les « parcelles »

Requête pour obtenir les "Fields" d'utilisateur avec des filtres par `étiquettes`, `farmUuid`, `fieldUuid`, `nomDuChamp`. Les champs renvoyés par ordre alphabétique du nom du champ.&#x20;

Le filtre de champ fonctionne comme une condition ET, par ex. il est possible de filtrer par `farmUuid` et par `fieldUuid` et par `étiquettes` et par `nomDuChamp` dans une seule requête ou d'utiliser une seule condition de filtre ou de ne pas utiliser de condition.&#x20;

Filtrer par `nomDuChamp` fonctionne comme `commence_par`.&#x20;

Pour implémenter la logique de pagination, utilisez le paramètre de requête `tailleDePage`. Il y a `lastEvaluatedKey` et `nombreTotal` dans la réponse, où `lastEvaluatedKey` fait référence au dernier enregistrement traité correspondant à la condition de filtrage et `nombreTotal` est le nombre total d'enregistrements qui correspondent aux conditions de filtrage.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FilterFields {
  getFields(
    filter: {
      farmUuid: "<placeholder_of_farm_uuid>"
      fieldUuid: "<placeholder_of_field_uuid>"
      labels: [{ name: "name1", value: "value1" }]
      pageSize: 2
      lastEvaluatedKey: {
        SortKey: "<some_key>"
        PartitionKey: "<some_key>"
        TagString: "<some_key>"
      }
      fieldName: "Sample"
    }
  ) {
    fields {
      uuid
      area(unit: HECTARES)
      nom
      labels {
        nom
        value
      }
      nombreTotal
    }
    lastEvaluatedKey {
      SortKey
      PartitionKey
      TagString
    }
  }
}

```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/fr/documentation-de-lapi/vue-densemble-des-requetes-de-lapi-geopard/43.-requete-obtenir-les-parcelles.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
